Package com.google.gwt.dom.client

## Class StyleInjector.StyleInjectorImpl

- java.lang.Object
- - com.google.gwt.dom.client.StyleInjector.StyleInjectorImpl

- Enclosing class:
    StyleInjector

      @Deprecated
      public static class StyleInjector.StyleInjectorImpl
      extends java.lang.Object

  Deprecated.
  The DOM-compatible way of adding stylesheets. This implementation requires the host HTML page to have a head element defined.

  Deprecated, as this is the only implementation, this may be removed in a future release.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleInjectorImpl()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StyleElement` | `injectStyleSheet​(java.lang.String contents)` | Deprecated.
    `StyleElement` | `injectStyleSheetAtEnd​(java.lang.String contents)` | Deprecated.
    `StyleElement` | `injectStyleSheetAtStart​(java.lang.String contents)` | Deprecated.
    `void` | `setContents​(StyleElement style, java.lang.String contents)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleInjectorImpl

          public StyleInjectorImpl()

      Deprecated.

  - ### Method Detail

    - #### injectStyleSheet

          public StyleElement injectStyleSheet​(java.lang.String contents)

      Deprecated.

    - #### injectStyleSheetAtEnd

          public StyleElement injectStyleSheetAtEnd​(java.lang.String contents)

      Deprecated.

    - #### injectStyleSheetAtStart

          public StyleElement injectStyleSheetAtStart​(java.lang.String contents)

      Deprecated.

    - #### setContents

          public void setContents​(StyleElement style,
                                  java.lang.String contents)

      Deprecated.